 













                     DIGITAL_Enterprise_Mail_Monitor_______________
                     Server Release Notes


                     September 1997

                     These notes describe any known problems you may
                     meet when using the Mail Monitor server on OpenVMS
                     Alpha, OpenVMS VAX, DIGITAL UNIX, and Windows
                     NT. The notes also describe changes in the the
                     software, since MAILbus Monitor Version 2.1.







                     Software Version:            Version 3.0.

                     Revision/Update Information: This manual super-
                                                  sedes the server
                                                  and scanning module
                                                  Release Notes for
                                                  MAILbus Monitor
                                                  Version 2.1.

                     Operating System & Version:  OpenVMS VAX Version
                                                  6.2 and later, or
                                                  OpenVMS Alpha Version
                                                  6.2 and later, or
                                                  Digital UNIX Version
                                                  3.2 and later, or
                                                  Windows NT V3.51 or
                                                  later (on Intel or
                                                  Alpha).

                     Digital Equipment Corporation
 






              __________________________________________________________

              The information in this document is subject to change
              without notice and should not be construed as a commitment
              by Digital Equipment Corporation. Digital Equipment
              Corporation assumes no responsibility for any errors that
              may appear in this document.

              Possession, use, dissemination, or duplication of the
              software described in this documentation is authorized
              only pursuant to a valid written license from Digital or
              the third-party owner of the software copyright.

              No responsibility is assumed for the use or reliability
              of software or equipment that is not supplied by Digital
              Equipment Corporation.

              Digital Equipment Corporation makes no representations
              that the interconnection of its products in the manner
              described in this document will not infringe existing or
              future patent rights, nor do the descriptions contained
              in this document imply the granting of licenses to make,
              use, or sell equipment or software in accordance with the
              description.

              © Digital Equipment Corporation 1997.

              All Rights Reserved.

              The following are trademarks of Digital Equipment
              Corporation: ALL-IN-1, DEC, DECnet, DECwindows, DIGITAL
              UNIX, MAILbus, MAILbus 400, MailWorks, Message Router,
              OpenVMS, VAX, VAXcluster, VMScluster, and the DIGITAL logo.

              The following are third-party trademarks:

              Intel is a registered trademark of Intel Corporation.

              Microsoft, Microsoft Exchange Server and MS-DOS area
              registered trademarks of Microsoft Corporation.

              Internet is a registered trademark of Internet, Inc.

              UNIX is a registered trademark in the United States and
              other countries, licensed exclusively by X/Open Company
              Ltd.

              X/Open is a trademark of the X/Open Company Ltd.

              This document was prepared using VAX DOCUMENT, Version
              2.1.
 













     ________________________________________________________________

                                                             Contents


     Preface..................................................      v


     1  The DIGITAL Enterprise Mail Monitor Server

           1.1   New Features.................................    1-1
           1.2   Changes Since MAILbus Monitor Version 2.1....    1-2
           1.2.1     Changes to the Server....................    1-2
           1.2.1.1     Server Log Now Cycles on OpenVMS AXP...    1-2
           1.2.1.2     Server Startup Is Now a Detached
                       Process................................    1-2
           1.2.1.3     Server Logs Password Failures..........    1-2
           1.2.2     Changes to the Scanning Modules..........    1-2
           1.2.2.1     Control Scanning Module Requires
                       Password...............................    1-3
           1.2.2.2     MB400 Scanning Module No Longer Scans
                       for the rfc1006 Process................    1-3
           1.2.2.3     MB400 Scanning Module Has Improved
                       Checks for the [Queue] Section.........    1-3
           1.2.2.4     MB400 Scanning Module Checks the
                       OpenVMS V6 and V7 MTA$SERVER and
                       MTA$MTS Images.........................    1-3
           1.2.2.5     X500 Scanning Module Provides Improved
                       Handling of Information from a Remote
                       DSA ...................................    1-3
           1.2.2.6     X500 Scanning Module Checks for
                       Either DSA$SERVER_MAIN_V6.EXE or
                       DSA$SERVER_MAIN_V7.EXE ................    1-3
           1.2.2.7     All Scanning Module Configuration Files
                       Updated................................    1-4




                                                                  iii
 






              1.2.3     Installation Changes.....................    1-4
              1.2.3.1     Installation Procedure Offers No
                          Default Password.......................    1-4
              1.2.3.2     New Minimum Versions Required..........    1-4
              1.3   Overview of New Modules......................    1-4
              1.3.1     The Control Module (CONTROL).............    1-5
              1.3.2     The PING Module..........................    1-5
              1.3.3     Exchange Server Scanning Module (XCH)....    1-5
              1.3.4     Office Server Scanning Module (OFFSVR)...    1-6
              1.4   Mail Monitor on Windows NT - Displaying
                    Performance Data.............................    1-6
              1.5   Installation Information.....................    1-6
              1.5.1     Prerequisites............................    1-6
              1.6   Known Problems...............................    1-6
              1.6.1     Server Community Is Not Implemented......    1-6
              1.6.2     UIC Format for NAMON$SERVER Not
                        Checked..................................    1-7
              1.6.3     Full Scan Slow in Some Cases.............    1-7
              1.6.4     Password for the Control Module Is Not
                        Encrypted................................    1-7
              1.6.5     XCH Does Not Use NT Event Numbers as a
                        Key for Its Scan.........................    1-7
              1.6.6     Need for Reboot After PING Exits
                        Ungracefully.............................    1-7
              1.6.7     Recurrent Scan Failure on Large DECnet
                        Event File...............................    1-8
              1.6.8     "Send NT Message to Domain" Excludes
                        Windows 95 Users.........................    1-8
              1.6.9     AgeSeverity Problem in MB400 Module on
                        OpenVMS Systems..........................    1-9















        iv
 











        ________________________________________________________________

                                                                 Preface



        Purpose of this Document

              This manual describes these things:

              o  New features

              o  Problems resolved since MAILbus Monitor Version 2.1

              o  Known problems when using the DIGITAL Enterprise Mail
                 Monitor server

        Intended Audience

              This guide is for system managers.

        Structure of this Document

              This guide contains one chapter.

        Associated Documents

              o  DIGITAL Enterprise Mail Monitor Server Guide (one book)

              o  DIGITAL Enterprise Mail Monitor: Installing on a
                 Windows NT System (four-page card)

              o  DIGITAL Enterprise Mail Monitor: Installing on a
                 DIGITAL UNIX System (four-page card)

              o  DIGITAL Enterprise Mail Monitor: Installing on an
                 OpenVMS System (four-page card)



                                                                       v
 









                                                                       1
        ________________________________________________________________

                              The DIGITAL Enterprise Mail Monitor Server



              This chapter contains the following information:

              o  New Features

              o  Changes Since the MAILbus Monitor Version 2.1

              o  Overview of New Modules

              o  Mail Monitor on Windows NT - Displaying Performance
                 Data

              o  Installation information

              o  Known problems

        1.1 New Features

              DIGITAL Enterprise Mail Monitor V3.0 is different from
              MAILbus Monitor in various ways:

              o  There is a Windows NT server

              o  There are several new scanning modules:

                 -  Management Control module (CONTROL) for Windows NT
                    Systems

                 -  IP Ping Scanning Module (PING) for Windows NT
                    Systems

                 -  Exchange Server Scanning Module (XCH) for Windows NT
                    Systems

                 -  Office Server (OFFSVR) for OpenVMS Systems

              o  The documentation set is simplified

              o  There have been several licensing changes since MAILbus
                 Monitor Version 2.1. See the installation cards for
                 further details of the server licenses.

                          The DIGITAL Enterprise Mail Monitor Server 1-1
 



        The DIGITAL Enterprise Mail Monitor Server
        1.1 New Features

              o  The comments in the initialization files have been
                 clarified and expanded.

              In a later release there will also be a client that runs
              on Windows NT, but for Version 3.0 it is necessary to
              use the Motif client. There is no license for the Motif
              client.

        1.2 Changes Since MAILbus Monitor Version 2.1

              This section documents features that have changed since
              the last release (MAILbus Monitor Version 2.1).

        1.2.1 Changes to the Server

              This section deals with defects corrected in the server.

        1.2.1.1 Server Log Now Cycles on OpenVMS AXP

              The server log did not cycle in the last release. This
              meant that the file grew bigger and bigger, and on
              OpenVMS AXP this caused a bug. Now the size of the log
              is controlled by your configuration setting. When the size
              reaches this maximum, new log entries are added starting
              at the beginning of the file, overwriting the earliest
              lines.

        1.2.1.2 Server Startup Is Now a Detached Process

              On OpenVMS systems, the Mail Monitor now runs as a
              detached process with the name NAMON$SERVER. Before, the
              server was a job in the SYS$BATCH queue.

        1.2.1.3 Server Logs Password Failures

              When an attempt to get access to the Control module fails,
              the Mail Monitor now reports the failure in the Control
              scanner log.

        1.2.2 Changes to the Scanning Modules

              This section deals with changes to the new scanning
              modules.


        1-2 The DIGITAL Enterprise Mail Monitor Server
 



                              The DIGITAL Enterprise Mail Monitor Server
                           1.2 Changes Since MAILbus Monitor Version 2.1

        1.2.2.1 Control Scanning Module Requires Password

              The Control module now requires a password. If you supply
              no password, the Control module is disabled. Use the
              [Password] section of the initialization file to add or
              modify the password.

              In addition, on Windows NT systems, you can specify a
              password during installation (see Section 1.2.3.1).

        1.2.2.2 MB400 Scanning Module No Longer Scans for the rfc1006
                Process

              On DIGITAL UNIX systems, the MB400 scanning module no
              longer checks whether the rfc1006 process exists.

        1.2.2.3 MB400 Scanning Module Has Improved Checks for the
                [Queue] Section

              The MB400 scanning module now provides more sensitive and
              more configurable age-checking for MPDUs in the MTA queue.
              For details of these checks, see the DIGITAL Enterprise
              Mail Monitor Server Guide, Section 3.6.3.1 (for DIGITAL
              UNIX systems) or 3.7.5.1 (for OpenVMS systems).

        1.2.2.4 MB400 Scanning Module Checks the OpenVMS V6 and V7
                MTA$SERVER and MTA$MTS Images

              On an OpenVMS system, this scanning module used to
              check for the images MTA$SERVER.EXE and MTA$MTS.EXE (and
              report an error). The scanning module now checks for the
              MTA$SERVER_V6.EXE and MTA$MTS_V6.EXE or MTA$SERVER_V7.EXE
              and MTA$MTS_V7.EXE.

        1.2.2.5 X500 Scanning Module Provides Improved Handling of
                Information from a Remote DSA

              For details of these changes, see DIGITAL Enterprise
              Mail Monitor Server Guide Section 3.6.3 (for DIGITAL UNIX
              systems) or 3.7.2 (for OpenVMS Systems).

        1.2.2.6 X500 Scanning Module Checks for Either
                DSA$SERVER_MAIN_V6.EXE or DSA$SERVER_MAIN_V7.EXE

              On an OpenVMS system, this scanning module used to check
              for the image DSA$SERVER_MAIN.EXE (and report an error).
              The scanning module now checks for the appropriate image.

                          The DIGITAL Enterprise Mail Monitor Server 1-3
 



        The DIGITAL Enterprise Mail Monitor Server
        1.2 Changes Since MAILbus Monitor Version 2.1

        1.2.2.7 All Scanning Module Configuration Files Updated

              The configuration files for all scanning modules
              (including the templates for new OpenVMS and DIGITAL
              UNIX scanning module configuration files) have been
              updated to improve readability and correct typographical
              errors. Changes include both the order of sections and the
              expansion and clarification of comments.

        1.2.3 Installation Changes

              This section deals with defects corrected in and about
              the installation process (not necessarily the procedure
              itself).

        1.2.3.1 Installation Procedure Offers No Default Password

              If you did not supply a password for the Control module,
              MAILbus Monitor Version 2.1 assigned a default password.
              Now, if you do not specify a password, the Control module
              is disabled.

              On DIGITAL UNIX and OpenVMS systems, you must enable
              the Control module by editing the configuration file and
              adding a [Password] section, in this format:

              [Password] your-password

              On Windows NT systems, you can also edit the initializa-
              tion file. But the installation procedure for the Windows
              NT Mail Monitor server prompts for a password, so that the
              Control module is automatically enabled.

        1.2.3.2 New Minimum Versions Required

              The operating system pre-requisites have changed. The
              new values are not checked by the installation procedure,
              so that it is now possible to install Mail Monitor on a
              platform on which it cannot run.

              See Section 1.5.1 for details.

        1.3 Overview of New Modules

              The DIGITAL Enterprise Mail Monitor manual provides full
              instructions for configuring scanning modules. The rest of
              this section deals with each of the new modules.

        1-4 The DIGITAL Enterprise Mail Monitor Server
 



                              The DIGITAL Enterprise Mail Monitor Server
                                             1.3 Overview of New Modules

        1.3.1 The Control Module (CONTROL)

              This scanning module provides the user of a Windows NT
              system with the same facilities as users of MAILbus
              Monitor V2.0 or V2.1 already have. It allows you, from
              the Motif Client, to trigger actions on the system where
              the server runs.
              See Section 3.2 of DIGITAL Enterprise Mail Monitor Server
              Guide for intructions on adding commands to the Control
              module.

        1.3.2 The PING Module

              The PING module lets you use the PING command to check
              whether the Mail Monitor server can reach other nodes.

              To add a node for scanning by the PING module, edit the
              initialization file and add a [Node nodename] section,
              with an Address entry in the format Address=IPaddress.
              Other optional parameters are explained in the DIGITAL
              Enterprise Mail Monitor Server Guide in these sections:

              For Windows NT systems     Section 3.5.2

              For DIGITAL UNIX systems   Section 3.6.6

              For OpenVMS systems        Section 3.7.7

        1.3.3 Exchange Server Scanning Module (XCH)

              Mail Monitor reports event log records for new events
              (since last the scan), and monitor records for events you
              specify in the initialization file.

              Getting Started

              In the initialization file, find the entry that you want
              to change and edit its value.

              Note that by default Mail Monitor monitors the process
              DXA (Directory Synchronization). If this is not running
              on your system, you can remove this process from Mail
              Monitor's checks by deleting these two entries from the
              initialization file:

              o  Process dsa

              o  NTService Microsoft Exchange Directory Synchronization

              For further details of configuring the XCH module, see
              Chapters 3 and 6 of the Mail Monitor manual.

                          The DIGITAL Enterprise Mail Monitor Server 1-5
 



        The DIGITAL Enterprise Mail Monitor Server
        1.3 Overview of New Modules

        1.3.4 Office Server Scanning Module (OFFSVR)

              OpenVMS systems can now run a scanning module that scans
              Office Server V4.0 and later. For full details of what
              the OFFSVR scanning module does, and how to configure it,
              refer to the DIGITAL Enterprise Mail Monitor Server Guide.

        1.4 Mail Monitor on Windows NT - Displaying Performance Data

              The Motif Client does not automatically have the Perf
              Counter tool configured. To configure this tool for a
              Windows NT server, go to the Tools Panel. Select the File
              /Configure Tool... menu option and click the Default
              Tool... button. This does not destroy any new tools
              you have created, and automatically configures the Perf
              Counter tool. Note, however, that any customization you
              have made to existing tools will be lost.

        1.5 Installation Information

              This section contains information on the installation. For
              more detailed information, see the installation card for
              your operating system.

        1.5.1 Prerequisites

              To install the Mail Monitor server, you need one of the
              following:

              o  An Alpha system running DIGITAL[TM] UNIX[R] Version
                 3.2D or later or OpenVMS[TM] Version 6.2 or later

              o  A VAX[TM] system running OpenVMS Version 6.2 or later

              o  A Windows NT System (Version 3.51 or later) running on
                 either Intel or Alpha

        1.6 Known Problems

              The following is a list of identified problems:

        1.6.1 Server Community Is Not Implemented

              Server communities, a facility previously available on
              DIGITAL UNIX and OpenVMS systems, are not now possible
              on any platform, and there are no plans to change this in
              future releases. Instead, create a hierarchy of servers.

        1-6 The DIGITAL Enterprise Mail Monitor Server
 



                              The DIGITAL Enterprise Mail Monitor Server
                                                      1.6 Known Problems

        1.6.2 UIC Format for NAMON$SERVER Not Checked

              On OpenVMS systems, the installation procedure prompts for
              a UIC for the NAMON$SERVER account, but does not check the
              format of the UIC that the user supplies. As a result, it
              is possible to specify a badly-formed UIC which causes a
              system crash later on in the installation.

        1.6.3 Full Scan Slow in Some Cases

              In the case of some scanning modules, a full scan can
              take several minutes. For example, the MB400 scan can take
              ten minutes, while the user may want to check only the
              counters (which could be scanned in much less time, if it
              were possible to configure the extent of the scan).

        1.6.4 Password for the Control Module Is Not Encrypted

              The password for the Control module is stored in plain
              text. To reduce this security risk, you should use your
              operating system's file protection mechanism.

        1.6.5 XCH Does Not Use NT Event Numbers as a Key for Its Scan

              The XCH scanning module scans for NT events, but -
              although noting the number that Windows NT provides
              for each event and returning it in the Monitor record
              - the scanning module cannot scan for a particular event.
              Some scanning modules, running on OpenVMS or DIGITAL UNIX
              systems, can scan for particular DECnet-Plus events and
              assign different severities accordingly.

        1.6.6 Need for Reboot After PING Exits Ungracefully

              If Mail Monitor server on a Windows NT system exits in an
              uncontrolled way while the PING scanning module is still
              running, it is necessary to reboot the system if you want
              to use the PING server again. The correct way to exit is
              to wait until any PING test is completed before stopping
              the server.

              This problem usually occurs infrequently, but it can arise
              in three cases:

              o  The server happens to be shut down while the PING
                 scanning module is running.

                          The DIGITAL Enterprise Mail Monitor Server 1-7
 



        The DIGITAL Enterprise Mail Monitor Server
        1.6 Known Problems

              o  The server happens to crash while the PING scanning
                 module is running.

              o  A PING scan lasts longer than the MaxRun time specified
                 in the configuration file.

              Note, however, that most PING tests are complete very soon
              after they start; depending on the network, a PING test to
              any one host should not last long. So any of these cases
              is more likely to arise if the PING scanning module's
              initialization file has a long list of hosts to check.

              Workaround, to avoid rebooting your system

              Modify the service startup (using the Services option
              from the Control Panel) to use a privileged interactive
              account, so that you can stop any ping.exe process that is
              suspended. Note that this account must be both privileged
              and interactive; the default non-interactive system
              account, for example, does not offer this service.

        1.6.7 Recurrent Scan Failure on Large DECnet Event File

              The DECnet Event File can be very large. While parsing the
              DECnet Event File, a scanning module may exceed the MaxRun
              value specified. When this happens, the server stops the
              scanning module before it finishes the scan; no results
              are transmitted. Subsequent scans will fail for the same
              reason.

              To avoid this, you must tune your system to have either a
              larger MaxRun or a smaller DECnet Event File.

              Workaround, to avoid tuning your system

              If you do not want to change the settings in your
              initialization files, you can work around this problem
              by deleting the DECnet Event File and then recreating an
              empty one.

        1.6.8 "Send NT Message to Domain" Excludes Windows 95 Users

              When you use the service " Send NT Message to Users " the
              message is broadcast to NT users but not Windows 95 users
              in the same NT Domain.

        1-8 The DIGITAL Enterprise Mail Monitor Server
 



                              The DIGITAL Enterprise Mail Monitor Server
                                                      1.6 Known Problems

        1.6.9 AgeSeverity Problem in MB400 Module on OpenVMS Systems

              The MB400 scanning module may not always report oldest
              message age correctly.

              If the MB400 scanning module reports the oldest MPDU with
              a negative age (in the Message Count field), you should
              edit its configuration file to change the following lines:

               AgeSeverity1=3
               AgeSeverity2=4

              Edit the error levels so that these two lines read as
              follows:

               AgeSeverity1=1
               AgeSeverity2=1

              The scanning module will still report the information, but
              Monitor Records will not be displayed as an error or fatal
              error (severity 3 or 4).
























                          The DIGITAL Enterprise Mail Monitor Server 1-9
